Bug 832686 - Modes not properly detected with radeon
Modes not properly detected with radeon
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
18
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-16 09:08 EDT by Andrew Schultz
Modified: 2013-06-28 08:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-28 08:53:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log from firstboot (worked happily) (41.82 KB, text/plain)
2012-06-16 09:09 EDT, Andrew Schultz
no flags Details
Xorg log from first attempt to log in (unhappy) (44.99 KB, text/plain)
2012-06-16 09:09 EDT, Andrew Schultz
no flags Details
dmesg (64.52 KB, text/plain)
2012-06-16 09:10 EDT, Andrew Schultz
no flags Details
/var/log/messages (181.27 KB, text/plain)
2012-06-16 09:12 EDT, Andrew Schultz
no flags Details

  None (edit)
Description Andrew Schultz 2012-06-16 09:08:19 EDT
Description of problem:
After installing F17, X comes up with 1024x768 instead of the 1600x1200.  For a surprise twist, firstboot came up properly in high res.  I had been running F16 and that was working fine (I installed to a new partition rather than upgrading).

dmesg includes
[   71.643073] i2c i2c-0: readbytes: ack/nak timeout
[   71.676288] [drm:radeon_vga_detect] *ERROR* VGA-1: probed a monitor but no|invalid EDID

while Xorg.0.log shows it first detecting modes properly, and then

[    73.917] (II) RADEON(0): Allocate new frame buffer 1024x768 stride 1024

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.14.4-6.20120602git930760942.fc17.x86_64
kernel-3.4.0-1.fc17.x86_64
xorg-x11-server-Xorg-1.12.2-1.fc17.x86_64
Comment 1 Andrew Schultz 2012-06-16 09:09:06 EDT
Created attachment 592315 [details]
Xorg log from firstboot (worked happily)
Comment 2 Andrew Schultz 2012-06-16 09:09:40 EDT
Created attachment 592316 [details]
Xorg log from first attempt to log in (unhappy)
Comment 3 Andrew Schultz 2012-06-16 09:10:07 EDT
Created attachment 592317 [details]
dmesg
Comment 4 Andrew Schultz 2012-06-16 09:12:51 EDT
Created attachment 592318 [details]
/var/log/messages
Comment 5 Andrew Schultz 2012-07-18 22:26:40 EDT
*poke*

this is still happening.  Is there some way to grab more info?
Comment 6 Andrew Schultz 2012-11-13 01:07:35 EST
I am now also getting this in my dmesg and messages:

 [drm:drm_edid_block_valid] *ERROR* EDID checksum is invalid, remainder is 176
 Raw EDID:
        00 ff ff ff ff ff ff 00 05 b4 30 46 60 03 00 00
        30 08 01 00 1e 24 1b 78 e8 07 b3 a0 57 4a 9a 26
        11 48 4f bc e7 80 a9 4f a9 4a 61 59 31 59 45 59
        31 4a a9 45 00 00 1a 4f 40 30 62 b0 32 40 40 c0
        13 00 68 0e 11 00 00 1e d4 49 40 30 62 b0 32 40
        40 c0 13 00 68 0e 11 00 00 1e ea 24 00 60 41 00
        28 30 30 60 13 00 68 0e 11 00 00 1e 40 1f 00 30
        41 00 24 30 20 60 33 00 68 0e 11 00 00 02 00 e5
Comment 7 Andrew Schultz 2012-12-04 23:56:16 EST
At least I'm not alone
http://forums.fedoraforum.org/showthread.php?t=280420
Comment 8 Andrew Schultz 2013-01-21 23:28:26 EST
After upgrading to F18, I no longer get any error messages (in messages or dmesg).  Xorg.0.log now contains:

(II) RADEON(0): EDID for output VGA-0
(II) RADEON(0): Printing probed modes for output VGA-0
(II) RADEON(0): Modeline "1024x768"x60.0   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync (48.4 kHz e)
(II) RADEON(0): Modeline "800x600"x60.3   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync (37.9 kHz e)
(II) RADEON(0): Modeline "800x600"x56.2   36.00  800 824 896 1024  600 601 603 625 +hsync +vsync (35.2 kHz e)
(II) RADEON(0): Modeline "848x480"x60.0   33.75  848 864 976 1088  480 486 494 517 +hsync +vsync (31.0 kHz e)
(II) RADEON(0): Modeline "640x480"x59.9   25.18  640 656 752 800  480 489 492 525 -hsync -vsync (31.5 kHz e)

I manually added a modeline for 1600x1200 (the highest resolution my monitor can handle) via xrandr (--newmode, --addmode, etc) and that worked.  I added such xrandr commands to /etc/gdm/Init/Default and so I'm back to high resolution.
Comment 9 Andrew Schultz 2013-06-28 08:53:29 EDT
I got a new monitor and that has resolved the issues in this bug (I do not need to invoke xrandr to add modelines).

Note You need to log in before you can comment on or make changes to this bug.